{
  "name": "mailchimp",
  "display_name": "Mailchimp",
  "description": "Consume Mailchimp API",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [
    {
      "name": "mailchimpApi",
      "required": true
    },
    {
      "name": "mailchimpOAuth2Api",
      "required": true
    },
    {
      "name": "value",
      "required": true
    },
    {
      "name": "value",
      "required": true
    }
  ],
  "properties": [
    {
      "name": "authentication",
      "display_name": "Authentication",
      "kind": "options",
      "required": false,
      "default": "apiKey"
    },
    {
      "name": "resource",
      "display_name": "Resource",
      "kind": "options",
      "required": true,
      "default": "member"
    },
    {
      "name": "operation",
      "display_name": "Operation",
      "kind": "options",
      "required": true,
      "default": "create",
      "description": "Create a new member on list"
    },
    {
      "name": "operation",
      "display_name": "Operation",
      "kind": "options",
      "required": true,
      "default": "create",
      "description": "Add tags from a list member"
    },
    {
      "name": "operation",
      "display_name": "Operation",
      "kind": "options",
      "required": true,
      "default": "getAll",
      "description": "Get many groups"
    },
    {
      "name": "operation",
      "display_name": "Operation",
      "kind": "options",
      "required": true,
      "default": "getAll",
      "description": "Delete a campaign"
    },
    {
      "name": "list",
      "display_name": "List Name or ID",
      "kind": "options",
      "required": true,
      "default": "",
      "description": "List of lists. Choose from the list, or specify an ID using an <a href="
    },
    {
      "name": "email",
      "display_name": "Email",
      "kind": "string",
      "required": true,
      "default": "",
      "description": "Email address for a subscriber"
    },
    {
      "name": "status",
      "display_name": "Status",
      "kind": "options",
      "required": true,
      "default": "",
      "description": "Subscriber"
    },
    {
      "name": "jsonParameters",
      "display_name": "JSON Parameters",
      "kind": "boolean",
      "required": false
    },
    {
      "name": "options",
      "display_name": "Options",
      "kind": "collection",
      "required": false,
      "default": "",
      "description": "Type of email this member asked to get"
    },
    {
      "name": "locationFieldsUi",
      "display_name": "Location",
      "kind": "fixedCollection",
      "required": true,
      "default": "",
      "description": "Subscriber location information.n"
    },
    {
      "name": "mergeFieldsUi",
      "display_name": "Merge Fields",
      "kind": "fixedCollection",
      "required": true,
      "default": "",
      "description": "An individual merge var and value for a member"
    },
    {
      "name": "mergeFieldsJson",
      "display_name": "Merge Fields",
      "kind": "json",
      "required": false,
      "default": ""
    },
    {
      "name": "locationJson",
      "display_name": "Location",
      "kind": "json",
      "required": false,
      "default": ""
    },
    {
      "name": "groupsUi",
      "display_name": "Interest Groups",
      "kind": "fixedCollection",
      "required": false,
      "default": "",
      "description": "Choose from the list, or specify an ID using an <a href="
    },
    {
      "name": "groupJson",
      "display_name": "Interest Groups",
      "kind": "json",
      "required": false,
      "default": ""
    },
    {
      "name": "list",
      "display_name": "List Name or ID",
      "kind": "options",
      "required": true,
      "default": "",
      "description": "List of lists. Choose from the list, or specify an ID using an <a href="
    },
    {
      "name": "email",
      "display_name": "Email",
      "kind": "string",
      "required": true,
      "default": "",
      "description": "Member"
    },
    {
      "name": "list",
      "display_name": "List Name or ID",
      "kind": "options",
      "required": true,
      "default": "",
      "description": "List of lists. Choose from the list, or specify an ID using an <a href="
    },
    {
      "name": "email",
      "display_name": "Email",
      "kind": "string",
      "required": true,
      "default": "",
      "description": "Member"
    },
    {
      "name": "options",
      "display_name": "Options",
      "kind": "collection",
      "required": false,
      "default": "",
      "description": "A comma-separated list of fields to return"
    },
    {
      "name": "list",
      "display_name": "List Name or ID",
      "kind": "options",
      "required": true,
      "default": "",
      "description": "List of lists. Choose from the list, or specify an ID using an <a href="
    },
    {
      "name": "returnAll",
      "display_name": "Return All",
      "kind": "boolean",
      "required": false,
      "description": "Whether to return all results or only up to a given limit"
    },
    {
      "name": "limit",
      "display_name": "Limit",
      "kind": "number",
      "required": false,
      "description": "Max number of results to return"
    },
    {
      "name": "options",
      "display_name": "Options",
      "kind": "collection",
      "required": false,
      "default": "",
      "description": "Restrict results to subscribers whose information changed before the set timeframe"
    },
    {
      "name": "list",
      "display_name": "List Name or ID",
      "kind": "options",
      "required": true,
      "default": "",
      "description": "List of lists. Choose from the list, or specify an ID using an <a href="
    },
    {
      "name": "email",
      "display_name": "Email",
      "kind": "string",
      "required": true,
      "default": "",
      "description": "Email address of the subscriber"
    },
    {
      "name": "jsonParameters",
      "display_name": "JSON Parameters",
      "kind": "boolean",
      "required": false
    },
    {
      "name": "updateFields",
      "display_name": "Update Fields",
      "kind": "collection",
      "required": true,
      "default": "",
      "description": "Type of email this member asked to get"
    },
    {
      "name": "mergeFieldsJson",
      "display_name": "Merge Fields",
      "kind": "json",
      "required": false,
      "default": ""
    },
    {
      "name": "locationJson",
      "display_name": "Location",
      "kind": "json",
      "required": false,
      "default": ""
    },
    {
      "name": "groupJson",
      "display_name": "Interest Groups",
      "kind": "json",
      "required": false,
      "default": ""
    },
    {
      "name": "list",
      "display_name": "List Name or ID",
      "kind": "options",
      "required": true,
      "default": "",
      "description": "List of lists. Choose from the list, or specify an ID using an <a href="
    },
    {
      "name": "email",
      "display_name": "Email",
      "kind": "string",
      "required": true,
      "default": "",
      "description": "Email address of the subscriber"
    },
    {
      "name": "tags",
      "display_name": "Tags",
      "kind": "string",
      "required": false
    },
    {
      "name": "options",
      "display_name": "Options",
      "kind": "collection",
      "required": false,
      "description": "Whether automations based on the tags in the request will not fire"
    },
    {
      "name": "list",
      "display_name": "List Name or ID",
      "kind": "options",
      "required": true,
      "default": "",
      "description": "List of lists. Choose from the list, or specify an ID using an <a href="
    },
    {
      "name": "groupCategory",
      "display_name": "Group Category Name or ID",
      "kind": "options",
      "required": true,
      "default": "",
      "description": "Choose from the list, or specify an ID using an <a href="
    },
    {
      "name": "returnAll",
      "display_name": "Return All",
      "kind": "boolean",
      "required": false,
      "description": "Whether to return all results or only up to a given limit"
    },
    {
      "name": "limit",
      "display_name": "Limit",
      "kind": "number",
      "required": false,
      "description": "Max number of results to return"
    },
    {
      "name": "returnAll",
      "display_name": "Return All",
      "kind": "boolean",
      "required": false,
      "description": "Whether to return all results or only up to a given limit"
    },
    {
      "name": "limit",
      "display_name": "Limit",
      "kind": "number",
      "required": false,
      "description": "Max number of results to return"
    },
    {
      "name": "options",
      "display_name": "Options",
      "kind": "collection",
      "required": false,
      "default": "",
      "description": "Restrict the response to campaigns created before the set time"
    },
    {
      "name": "campaignId",
      "display_name": "Campaign ID",
      "kind": "string",
      "required": true,
      "default": "",
      "description": "List of Campaigns"
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/nodes-base/nodes/Mailchimp/Mailchimp.node.ts"
}